﻿using System.Threading;
using System.Threading.Tasks;

namespace DailyDigestWorker.Services
{
    public interface ISummarizationService
    {
        /// <summary>
        /// Генерирует саммари для предоставленного текста с помощью AI.
        /// </summary>
        /// <param name="textToSummarize">Текст для суммаризации.</param>
        /// <param name="cancellationToken">Токен отмены.</param>
        /// <returns>Строка с саммари или null в случае ошибки.</returns>
        Task<string?> SummarizeTextAsync(string textToSummarize, CancellationToken cancellationToken);
    }
}